package com.ywt.outpatient.params.mg.order;

import io.swagger.annotations.ApiModelProperty;

public class addOrUpdateGetChannelRequest {

    @ApiModelProperty(value = "取货方式：0-自取，1邮寄", example = "")
    private int getChannel;

    @ApiModelProperty(value = "商品订单ID", example = "")
    private int goodsOrdersId;

    @ApiModelProperty(value = "姓名", example = "")
    private String name;

    @ApiModelProperty(value = "手机号", example = "")
    private String mobile;

    @ApiModelProperty(value = "省市区的ids，比如：,省ID,市ID,区ID,", example = "")
    private String addressIds;

    @ApiModelProperty(value = "省", example = "")
    private String province;

    @ApiModelProperty(value = "市", example = "")
    private String city;

    @ApiModelProperty(value = "区", example = "")
    private String area;

    @ApiModelProperty(value = "详细地址", example = "")
    private String address;

    public int getGetChannel() {
        return getChannel;
    }

    public void setGetChannel(int getChannel) {
        this.getChannel = getChannel;
    }

    public int getGoodsOrdersId() {
        return goodsOrdersId;
    }

    public void setGoodsOrdersId(int goodsOrdersId) {
        this.goodsOrdersId = goodsOrdersId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
